Public Member Functions | Public Attributes | List of all members
libvisio::VSDLayer Struct Reference

`#include <VSDLayerList.h>`

## Public Member Functions
| VSDLayer ()
| VSDLayer (const VSDLayer &layer)
| ~VSDLayer ()
VSDLayer & | operator= (const VSDLayer &layer)

## Public Attributes
boost::optional< Colour > | m_colour
bool | m_visible
bool | m_printable

## Constructor & Destructor Documentation

## ◆ VSDLayer() [1/2]

libvisio::VSDLayer::VSDLayer | ( |  | ) |

## ◆ VSDLayer() [2/2]

libvisio::VSDLayer::VSDLayer | ( | const VSDLayer & | layer | ) |

## ◆ ~VSDLayer()

libvisio::VSDLayer::~VSDLayer | ( |  | ) |

## Member Function Documentation

## ◆ operator=()

libvisio::VSDLayer & libvisio::VSDLayer::operator= | ( | const VSDLayer & | layer | ) |

## Member Data Documentation

## ◆ m_colour

boost::optional<Colour> libvisio::VSDLayer::m_colour

Referenced by operator=(), libvisio::VSDParser::readLayer(), and libvisio::VSDXMLParserBase::readLayerIX().

## ◆ m_printable

bool libvisio::VSDLayer::m_printable

Referenced by operator=(), libvisio::VSDParser::readLayer(), and libvisio::VSDXMLParserBase::readLayerIX().

## ◆ m_visible

bool libvisio::VSDLayer::m_visible

Referenced by operator=(), libvisio::VSDParser::readLayer(), and libvisio::VSDXMLParserBase::readLayerIX().

The documentation for this struct was generated from the following files:

- VSDLayerList.h
- VSDLayerList.cpp